## netmate 0.2.0

=== Makefile ===
PREFIX = /usr
BINDIR = $(PREFIX)/bin
DOCDIR = $(PREFIX)/share/doc
MANDIR = $(PREFIX)/share/man
APPDIR = $(PREFIX)/share/applications
ICODIR = $(PREFIX)/share/pixmaps

OPTFLAGS = $(shell getconf LFS_CFLAGS) -D_FORTIFY_SOURCE=2 -O2 -fstack-protector --param=ssp-buffer-size=4
WARNFLAGS = -Wall -Wextra -Wformat -Werror=format-security
DEBUGFLAGS = -g
CFLAGS += $(OPTFLAGS) $(WARNFLAGS) $(DEBUGFLAGS)
LDFLAGS += -Wl,-z,relro
GTK_CFLAGS = $(shell pkg-config --cflags gtk+-3.0)
GTK_LIBS = $(shell pkg-config --libs gtk+-3.0)

all: netmate.c layer2.h layer3.h layer4.h
	gcc $(CPPFLAGS) $(GTK_CFLAGS) $(CFLAGS) -c netmate.c -o netmate.o
	gcc $(GTK_LIBS) -lpcap $(LDFLAGS) netmate.o -o netmate

install:
	install -D -m 755 netmate $(DESTDIR)/$(BINDIR)/netmate
	install -D -m 644 netmate.1 $(DESTDIR)/$(MANDIR)/man1/netmate.1
	install -D -m 644 res/netmate.desktop $(DESTDIR)/$(APPDIR)/netmate.desktop
	install -D -m 644 res/netmate.xpm $(DESTDIR)/$(ICODIR)/netmate.xpm

uninstall:
	rm -f $(DESTDIR)/$(BINDIR)/netmate
	rm -f $(DESTDIR)/$(MANDIR)/man1/netmate.1
	rm -f $(DESTDIR)/$(APPDIR)/netmate.desktop
	rm -f $(DESTDIR)/$(ICODIR)/netmate.xpm

clean:
	rm -f *.o netmate

=== debian/changelog ===
netmate (0.2.0-5) unstable; urgency=medium

  * debian/watch: fixed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 23 Aug 2014 23:06:15 -0300

netmate (0.2.0-4) unstable; urgency=medium

  * New maintainer email address.
  * debian/control: updated the Vcs-Browser field.
  * debian/rules: added the DEB_LDFLAGS_MAINT_APPEND
    variable to fix warnings from dh_shlibdeps.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 10 Aug 2014 00:18:51 -0300

netmate (0.2.0-3) unstable; urgency=medium

  * Added the fix-linking patch, that fix ftbfs with --as-needed.
    Thanks to Jackson Doak <noskcaj@ubuntu.com>.
  * debian/copyright: updated the packaging copyright years.
  * debian/source/lintian-overrides: removed as requested by Paul Wise. Thanks
    to Paul for explanations about the idea of the GPG sign check.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Tue, 14 Jan 2014 00:59:07 -0200

netmate (0.2.0-2) unstable; urgency=medium

  * Bumped the Standards-Version from 3.9.4 to 3.9.5.
  * debian/source/: added an override to reply to check-gpg-signature.
  * debian/watch: improved (little change).

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Wed, 25 Dec 2013 20:56:27 -0200

netmate (0.2.0-1) unstable; urgency=low

  * Initial upload (Closes: 725828).

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun, 17 Nov 2013 09:09:44 -0200

=== debian/control ===
Source: netmate
Section: net
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 9), libgtk-3-dev, libpcap-dev
Standards-Version: 3.9.5
Homepage: https://github.com/Rup0rt/netmate
Vcs-Git: git://anonscm.debian.org/collab-maint/netmate.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/netmate.git

Package: netmate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: netdude clone that shows pcap dump lines in network header style
 netmate was inspired in netdude[1] (dead) and can be used to learn and teach
 about TCP/IP protocols. It is a GTK+ program that shows lines selected from
 files in pcap style (generated by tcpdump and Wireshark or another code based
 in libpcap) as 32-bit headers, identical to the used by RFCs.
 .
 This program works with Ethernet, IPv4, IPv6, TCP, UDP, ICMP, ICMP6, NDP and
 others.
 .
 [1] http://netdude.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel

=== debian/watch ===
version=3
opts="uversionmangle=s/0.16/0.1.6/" \
https://github.com/Rup0rt/netmate/releases .*/archive/v(\d\S+)\.tar\.(?:bz2|gz|xz)
